Translating:WiktionaryMobile

From translatewiki.net
Jump to: navigation, search
Project logo
Translate this project | Recent changes | Translation statistics

Wiktionary Mobile is a cross-platform mobile & tablet application for reading and, in time, contributing to Wiktionary.

Initially targeting Android, the app is built using HTML5/JavaScript plus PhoneGap and customizations for tighter OS integration. iOS, Windows Mobile 7, and other platforms will be supported from the same code base.

Translators may add WiktionaryMobile to their babel box or include {{User WiktionaryMobile}} to add themselves to Category:WiktionaryMobile translators.

Translation flow

The Android app is still in provisional testing and isn't available in the market yet, but you can download nightly builds to test on your phone or tablet.

We may devise a localization update distribution mechanism that will bring message updates without forcing an update of the entire app (which can be prohibitively difficult eg on iOS where Apple forces every update to be delayed for review.)

Translating notes

MediaWiki and Wiktionary jargon may appear; see Translating:MediaWiki#Translation notes for more general references.

The application uses the same localization framework as MediaWiki's JavaScript-based code. Message parameter format is the same as MediaWiki: $1, $2 etc.

However, functions such as {{PLURAL:}} are not currently available as they are in other parts of MediaWiki.

Some UI terminology may need to stay consistent with other translations on particular platforms; for details see /Terms

Translating offline

If you're more comfortable using an offline editor, set the correct user language and export translations to a .po file.

Note that .po files exported from translatewiki contain extra information to support round-tripping correctly. They cannot be used elsewhere. Submit them back through translatewiki.net for merging and normalization. You need the "offline" user right; be sure to request it, or you will not be able to use the submit interface.

If using POedit, be sure to use version 1.4 or later -- earlier versions will corrupt the .po files.

Community

Activity


Translator map

Loading map...
Add yourself to map